
local elapsed_time = gh_utils.get_elapsed_time()
local dt = gh_utils.get_time_step()


-- Apply the params of the main camera and clear the color and depth buffers.
--
gh_camera.set_position(camera, 1, 1, 2)
gh_camera.set_lookat(camera, 0, 0, 0, 1)
gh_camera.bind(camera)

gh_renderer.clear_color_depth_buffers(0.2, 0.2, 0.2, 1.0, 1.0)
gh_renderer.set_depth_test_state(1)


-- Bind vertex_color_prog to make it the active GPU program.
--
gh_gpu_program.bind(vertex_color_prog)


-- Render the triangle and the grid
--
gh_object.render(triangle)
gh_object.render(grid)


